summaryrefslogtreecommitdiffstats
path: root/development/sdcc
diff options
context:
space:
mode:
author Kyle Guinn <elyk03@gmail.com>2010-05-11 20:00:30 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:00:30 +0200
commitbe1197df69cb73da05c938a4024c25a51ac2dcf1 (patch)
treed2b245f51676071dd6c3e2d65967a65634f139ea /development/sdcc
parent1687ee07c251d1150bb4896359a42a4007e60e64 (diff)
downloadslackbuilds-be1197df69cb73da05c938a4024c25a51ac2dcf1.tar.gz
slackbuilds-be1197df69cb73da05c938a4024c25a51ac2dcf1.tar.xz
development/sdcc: Added to 12.0 repository
Diffstat (limited to 'development/sdcc')
-rw-r--r--development/sdcc/README3
-rw-r--r--development/sdcc/sdcc.SlackBuild60
-rw-r--r--development/sdcc/sdcc.info8
-rw-r--r--development/sdcc/slack-desc19
4 files changed, 90 insertions, 0 deletions
diff --git a/development/sdcc/README b/development/sdcc/README
new file mode 100644
index 0000000000..e6d1bb7e9d
--- /dev/null
+++ b/development/sdcc/README
@@ -0,0 +1,3 @@
+SDCC is a retargettable, optimizing ANSI C compiler that targets the Intel
+8051, Maxim 80DS390, Zilog Z80 and the Motorola 68HC08 based MCUs. Work is in
+progress on supporting the Microchip PIC16 and PIC18 series.
diff --git a/development/sdcc/sdcc.SlackBuild b/development/sdcc/sdcc.SlackBuild
new file mode 100644
index 0000000000..f4ca887830
--- /dev/null
+++ b/development/sdcc/sdcc.SlackBuild
@@ -0,0 +1,60 @@
+#!/bin/sh
+
+# Slackware build script for sdcc
+# Written by Kyle Guinn <elyk03@gmail.com>
+
+set -e
+
+PRGNAM=sdcc
+VERSION=2.7.0
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM
+tar -xjvf $CWD/$PRGNAM-src-$VERSION.tar.bz2
+cd $PRGNAM
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --infodir=/usr/info \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION
+# --enable-doc # (requires lyx, untested)
+# --enable-libgc # (requires libgc, untested)
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a COPYING ChangeLog $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/development/sdcc/sdcc.info b/development/sdcc/sdcc.info
new file mode 100644
index 0000000000..fc97632f87
--- /dev/null
+++ b/development/sdcc/sdcc.info
@@ -0,0 +1,8 @@
+PRGNAM="sdcc"
+VERSION="2.7.0"
+HOMEPAGE="http://sdcc.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/sdcc/sdcc-src-2.7.0.tar.bz2"
+MD5SUM="0195813a0e13752a079b9e689674f98f"
+MAINTAINER="Kyle Guinn"
+EMAIL="elyk03@gmail.com"
+APPROVED="rworkman"
diff --git a/development/sdcc/slack-desc b/development/sdcc/slack-desc
new file mode 100644
index 0000000000..abd29b4254
--- /dev/null
+++ b/development/sdcc/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+sdcc: sdcc (Small Device C Compiler)
+sdcc:
+sdcc: SDCC is a retargettable, optimizing ANSI C compiler that targets
+sdcc: the Intel 8051, Maxim 80DS390, Zilog Z80 and the Motorola 68HC08
+sdcc: based MCUs. Work is in progress on supporting the Microchip
+sdcc: PIC16 and PIC18 series.
+sdcc:
+sdcc:
+sdcc:
+sdcc:
+sdcc: